Subject: Ticket Assigned - Product information
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 20 Jun 2021 04:23:53 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Product information I placed one order tracking # FP0617211000978 but I received the small products and there is one item not received missing the table in 55 kwd the order delivery date suppose to be on Jun 20 and after placing the order someone talked to me to confirm the delivery date Jun 20, after all this one driver contacted me and said that home center driver I sent himocation and he came last Thursday and deliver me all items except the table and I searched on tracking number but written still processing when I opened I found steps cpmleated to deliver but I didn't receive the table in 55 kwd by the way y total irder paid already by usa card. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2737439